## com.google.appengine.api.taskqueue
Class InvalidQueueModeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.taskqueue.InvalidQueueModeException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidQueueModeException

extends java.lang.RuntimeException

Mismatch of task method and queue mode. e.g. `Queue#leaseTasks(long, long)` called on a push queue, `Queue.add(TaskOptions)` with method `TaskOptions#Method` PULL to a push queue, or with `TaskOptions#Method` not equal to PULL to a pull queue.

See Also:
  Serialized Form

Constructor Summary
`InvalidQueueModeException(java.lang.String detail)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidQueueModeException

    public InvalidQueueModeException(java.lang.String detail)